import QtQuick 1.1

Rectangle {
    id: bColorButton

    property alias text: btnText.text
    property alias fontCol: btnText.color

    signal clicked

    height: 45
    width: 75
    radius: 17
    border.color:"#C9C9C9"
    color: "white"

    Text {
        id: btnText
        anchors.centerIn: parent
        color: "blue"
        text: "text"
        font.pixelSize: 25
        font.bold: true
    }

    MouseArea {
        id: mouseArea
        anchors.fill: parent
        onClicked:  {
            bColorButton.clicked();
        }

        onEntered:{
            border.color= "#C9C9C9"
        }

        onCanceled:{
            border.color= "#C9C9C9"
        }

        onExited: {
            border.color= "#C9C9C9"
        }
    }
}
