import QtQuick 1.1
import com.nokia.meego 1.0

Dialog {
    id: dDialog

    property alias infoTitle: dTitleText.text
    property alias infoText: dContentText.text
    property alias infoHeight: dContent.height
    property alias infoImage: dImage.source

    width: screen.displayWidth

    title:  Row {
        id: dTitle
        height: 80
        anchors.horizontalCenter: parent.horizontalCenter

        Image {
            id: dImage
            height: parent.height
            //fillMode: Image.PreserveAspectFit
            smooth: true;
            source: "mytopsites80.png"
        }

        Text {
            id: dTitleText
            height: parent.height
            font.pixelSize: 32
            verticalAlignment: Text.AlignVCenter
            color: "red"
        }
    }

    content: Item {
        id: dContent
        width: parent.width
        Text {
            id: dContentText
            font.pixelSize: 24
            width: parent.width
            horizontalAlignment: Text.AlignHCenter
            color: "white"
        }
    }
}
