import QtQuick 1.1
import com.nokia.meego 1.0

Rectangle {
    id: nDialog

    property alias nText: nText.text
    //property alias nHeight: height

    width: screen.displayWidth
    height: 48
    y: 64
    anchors.horizontalCenter: parent.horizontalCenter

    color: "black"

    Timer {
        id: myTimer
        interval: 2000
        running: false
        repeat: false
        onTriggered: nDialog.hide()
    }


    function show() {
        myTimer.running = true
        nDialog.opacity = 0.8;
    }

    function hide() {
        nDialog.opacity = 0;
    }

    opacity: 0
    visible: opacity > 0
    Behavior on opacity {
        NumberAnimation { duration: 500 }
    }

    Text {
        id: nText
        anchors.centerIn: parent
        font.pixelSize: 24
        width: parent.width - 24
        horizontalAlignment: Text.AlignHCenter
        color: "white"
    }
}

